Page MenuHomePhabricator

Add support for "template preferred format"
Closed, ResolvedPublic

Description

TemplateData allows users to specify the preferred format of the template (inline, block, or custom). ProveIt should be able to adapt to these preferences and format citations based on the preferred format of the template.

Event Timeline

Sophivorus renamed this task from Add support for "template prefered format" to Add support for "template preferred format".Feb 7 2017, 11:18 AM
Sophivorus created this task.

I hate how the new ProveIt renders refs. Is it possible to enable it to render refs like {{cite web | url= | title= | publisher= | date= | accessdate=}}, mirroring the older and cleaner style?

Sophivorus added a comment.EditedMar 13 2017, 12:09 AM

@Kailash29792 Unfortunately for every user that likes one style, there will be another that likes another style. I may agree that more spacing is good for readability, but others may say that references already take too much space in the wikitext to increase it further with unnecessary spacing. Also, if more spacing is always better, I'd add a space before each = sign, and another after. Would you agree with that?

I think that the best solution would be a general convention regarding template styling. I googled around and couldn't find one (is there one?). Another solution would be to add user configuration, something that ProveIt currently lacks. However this would be quite an addition to the software and I see little benefits so far. Are there some other obvious and highly-desirable configuration options that may justify such a big architectural change?

If the new ProveIt cannot render references like how I suggested, then never mind. Although it is undeniably a significant improvement over the old one, it suffers from excessiveness. Yes, I have to scroll up and down to find some fields to fill up, so would it be possible to add a feature that is similar to the "find" button which allows us to type the desired field name to find it? (like in Firefox and Chrome)

@Kailash29792 The styling you suggest CAN be enforced, but I see no OBJECTIVE reason to favor one styling over others. If I change it, I anticipate that other users will complain!

I created a task for the search functionality you suggest, see T160560, thanks!

Change 348784 merged by Sophivorus:
[wikipedia/gadgets/ProveIt@master] Add support for 'block' format

https://gerrit.wikimedia.org/r/348784

Sophivorus closed this task as Resolved.Apr 18 2017, 6:38 PM
Sophivorus claimed this task.

I added support for templates with 'block' format. Custom formats remain to be covered, but I don't think there's any actual citation template using a custom format, so I'm closing this task until someone shows me one.

Note: In case someone ever does, T138492 is a good starting point for implementing the feature.